/////////////////////////////////////////////////////////////////
// mainfrm.h : interface of the CMainFrame class

class CMainFrame : public CMDIFrameWnd
{
    void UpdateAryMruWWS(CString strPath);
    void WorkSpaceload(CString strPath);
    void WriteProfileWWS();
    void ReadProfileWWS();

    CStringArray    m_aryMruWWS;    

    DECLARE_DYNAMIC(CMainFrame)
public:
    CMainFrame();
    virtual ~CMainFrame();

protected:
    //{{AFX_MSG(CMainFrame)
    afx_msg void OnWorkspaceLoad();
    afx_msg void OnWorkspaceSave();
    afx_msg void OnWorkspaceClose();
    afx_msg void OnInitMenuPopup(CMenu* pPopupMenu, UINT nIndex, BOOL bSysMenu);
    afx_msg void OnClose();
    afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
    afx_msg void OnWorkspaceAutofit();
	afx_msg void OnWorkspaceCaption();
	afx_msg void OnUpdateWWSCaption(CCmdUI* pCmdUI);
	//}}AFX_MSG
    afx_msg BOOL OnCommandWWS(UINT nID);
    DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////
typedef struct tagWWSINFO
{
    WINDOWPLACEMENT   wp;     

// application specific data
    char szDocName[_MAX_FNAME];
    char szDocPath[_MAX_PATH];  
    LONG lWndStyle;
}    
WWSINFO;


