// winwkvw.cpp : implementation of the CWksView class
//

#include "stdafx.h"
#include "winwks.h"

#include "winwkdoc.h"
#include "winwkvw.h"

/////////////////////////////////////////////////////////////////////////////
// CWksView

IMPLEMENT_DYNCREATE(CWksView, CScrollView)

BEGIN_MESSAGE_MAP(CWksView, CScrollView)
    //{{AFX_MSG_MAP(CWksView)
    //}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CWksView construction/destruction

CWksView::CWksView()
{
    // TODO: add construction code here
}

CWksView::~CWksView()
{
}

void CWksView::OnInitialUpdate()
{
    CScrollView::OnInitialUpdate(); 
    
    SetScrollSizes(MM_TEXT, CSize(100, 100) );
}

/////////////////////////////////////////////////////////////////////////////
// CWksView drawing
//Listing 2:  
// CWksView::OnDraw() -- Demonstration view for workspace example

void CWksView::OnDraw(CDC* pDC)
{
    CWinwksDoc* pDoc = GetDocument();
    ASSERT_VALID(m_pDocument);

 // tentative code for window content simulation only  
    CString str = pDoc->GetPathName();  
    if (str=="") str = "No Path Found";
    pDC->TextOut(0, 0, str);  
    CSize sizeText = pDC->GetTextExtent(str, str.GetLength());
 
    str = "00 00 00 00-00 00 00 00"; 
    for (int i=1; i<3; i++) pDC->TextOut(0, i*sizeText.cy, str);  
     
    int iWidth = sizeText.cx;
    sizeText = pDC->GetTextExtent(str, str.GetLength());
    if (iWidth < sizeText.cx) iWidth = sizeText.cx;
    
    m_sizeClient = CSize(iWidth, 3*sizeText.cy);
    SetScrollSizes(MM_TEXT, m_sizeClient, sizeDefault, CSize(1,1));  
    pDC->LPtoDP(&m_sizeClient); //  for non MM_TEXT map mode 
}


/////////////////////////////////////////////////////////////////////////////
// CWksView diagnostics

#ifdef _DEBUG
void CWksView::AssertValid() const
{
    CScrollView::AssertValid();
}

void CWksView::Dump(CDumpContext& dc) const
{
    CScrollView::Dump(dc);
}

CWinwksDoc* CWksView::GetDocument() // non-debug version is inline
{
    ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CWinwksDoc)));
    return (CWinwksDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CWksView message handlers

