// ================================================================
// wdjtb.h
// WDJ Bitmap Greyscaling/Toolbar Utility Functions (Public Header)
// Fran Heeran
// ================================================================
#ifndef __GSCALE_H_
#define __GSCALE_H_

#if _MSC_VER >= 1000
#pragma once
#endif

#include <commctrl.h>

#ifdef __cplusplus
extern "C" {
#endif

HBITMAP WINAPI WDJLoadBitmapGrayscale(HINSTANCE hAppInst,
                  LPSTR pszResID, COLORREF clrTransparent,
                  UINT uFlags);

HIMAGELIST WDJCreateDisabledImageList(HIMAGELIST hImgList,
                                      COLORREF clrMask);

BOOL WINAPI WDJLoadToolbarImageLists(HINSTANCE  hInst,
               LPSTR pszImage, int cxWidth,
               HIMAGELIST *pHotList, HIMAGELIST *pColdList,
               HIMAGELIST *pDisabledList, UINT uFlags,
               COLORREF clrTransparent);

#ifdef __cplusplus
}
#endif

#endif

/* end of file */